Reveal normalized Auth credentials
GET
/v1/projects/{project_id}/services/{service_id}/credential
const url = 'https://api-dev.impulsehosting.com/v1/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/services/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/credential';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api-dev.impulsehosting.com/v1/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/services/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/credential \ --header 'Authorization: Bearer <token>'Requires service:reveal. Returns Store B key AUTH_CREDENTIALS; its value is a JSON-encoded AuthCredentialDescriptor without the JWT signing secret.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”project_id
required
string format: uuid
service_id
required
string format: uuid
Responses
Section titled “Responses”Credential
Media typeapplication/json
object
key
required
string
value
required
JSON-encoded AuthCredentialDescriptor
string format: password
Example
{ "key": "AUTH_CREDENTIALS"}Scope or project binding denied
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}